LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::report::KeepTogether Constant Group Reference

Specifies that a group header, detail, and footer section is printed on the same page. More...

## Variables
const short | NO = 0
| Prints the group without keeping the header, detail, and footer together on the same page. More...
const short | WHOLE_GROUP = 1
| Prints the group header, detail, and footer together on the same page. More...
const short | WITH_FIRST_DETAIL = 2
| Prints the group header on a page when the first detail record can fit on the same page. More...

## Detailed Description

Specifies that a group header, detail, and footer section is printed on the same page.

See also
  XGroup

## Variable Documentation

## ◆ NO

const short NO = 0

Prints the group without keeping the header, detail, and footer together on the same page.

## ◆ WHOLE_GROUP

const short WHOLE_GROUP = 1

Prints the group header, detail, and footer together on the same page.

## ◆ WITH_FIRST_DETAIL

const short WITH_FIRST_DETAIL = 2

Prints the group header on a page when the first detail record can fit on the same page.